PGPAINLESS-CLI-SIGN(1)

NAME
pgpainless-cli-sign - Create a detached signature on the data from standard input

SYNOPSIS

pgpainless-cli sign [--[no-]armor] [--stacktrace] [--as={binary|text}] [--micalg-out=MICALG] [--with-key-password=PASSWORD]... [KEYS...]

DESCRIPTION

OPTIONS

--as={binary|text}
    Specify the output format of the signed message

    Defaults to 'binary'.

    If '--as=text' and the input data is not valid UTF-8, sign fails with return code 53.

--micalg-out=MICALG
    Emits the digest algorithm used to the specified file in a way that can be used to populate the micalg parameter for the PGP/MIME Content-Type (RFC3156)

--[no-]armor
    ASCII armor the output

--stacktrace
    Print Stacktrace

--with-key-password=PASSWORD
    Passphrase to unlock the secret key(s).

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

ARGUMENTS

[KEYS...]
    Secret keys used for signing